import request from '@/utils/request'

// 家长管理列表
export function getPatriarchListApi(query) {
    return request({
        url: '/sc/family/list',
        method: 'get',
        params: query
    })
}

// 家长管理-删除
export function deletePatriarchApi(ids) {
    return request({
        url: `/sc/family/${ids}`,
        method: 'delete',

    })
}
// 家长管理-详情
export function getPatriarchDetailsApi(id) {
    return request({
        url: `/sc/family/${id}`,
        method: 'get',

    })
}
// 家长管理-修改
export function updatePatriarchApi(data) {
    return request({
        url: '/sc/family',
        method: 'put',
        data: data
    })
}
// 家长管理-新增
export function addPatriarchApi(data) {
    return request({
        url: '/sc/family',
        method: 'post',
        data: data
    })
}
// 家长关联学生模糊查询
export function getStudentsInfoApi(query) {
    return request({
        url: '/sc/family/ht/getStuInfo',
        method: 'get',
        params: query
    })
}
